Bug 253923 - pvmove status reporting broken
Summary: pvmove status reporting broken
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-22 22:16 UTC by Joe Orton
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 14:49:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2007-08-22 22:16:52 UTC
Description of problem:
With an in-progress pvmove job, status reporting is broken:

[root@monolith ~]# pvmove 
  Failure parsing mirror status fraction: 1 core
  Failure parsing mirror status fraction: 1 core
  ABORTING: Mirror percentage check failed.
[root@monolith ~]# uname -a
Linux monolith.manyfish.co.uk 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:10:34 EDT
2007 i686 athlon i386 GNU/Linux

Version-Release number of selected component (if applicable):
lvm2-2.02.24-1.fc7

Comment 1 Alasdair Kergon 2007-08-23 18:06:19 UTC
kernel device-mapper bug and we were unable to come up with any userspace 
workaround unfortunately, as the bug means the kernel misses out some 
information when responding to userspace requests.

Requires this upstream patch:
  http://lkml.org/lkml/2007/7/11/425


Comment 2 Chuck Ebbert 2007-08-23 18:43:30 UTC
Already in 2.6.22.2.



Note You need to log in before you can comment on or make changes to this bug.